Content APINewsletters
Browse active newsletters.
Authorization
ContentApiKey key<token>
Content API key passed as the key query parameter.
In: query
Query Parameters
key*string
Content API key.
filter?string
NQL filter string. Content API models also apply public/active enforced filters.
fields?string
Comma-separated field list.
limit?|
order?string
page?integer
Response Body
application/json
curl -X GET "https://example.com/newsletters/?key=22444f78447824223cefc48062&filter=tag%3Anews&fields=id%2Ctitle%2Cslug%2Curl&limit=15&order=published_at+desc&page=1"{
"newsletters": [
{
"id": "string",
"uuid": "095be615-a8ad-4c33-8e9c-c7612fbf6c9f",
"name": "string",
"description": "string",
"slug": "string",
"sender_email": "string",
"subscribe_on_signup": true,
"visibility": "string",
"sort_order": 0,
"created_at": "2019-08-24T14:15:22Z",
"updated_at": "2019-08-24T14:15:22Z"
}
],
"meta": {
"pagination": {
"page": 0,
"limit": 0,
"pages": 0,
"total": 0,
"next": 0,
"prev": 0
}
}
}